Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5099)
@@ -57,5 +57,5 @@
 !jyg<
 !  noff is chosen such that nl = k_upper so that upmost loops end at about 22 km
-!
+
   noff = min(max(nd-k_upper, 1), (nd+1)/2)
 !!  noff = 1
@@ -1616,7 +1616,7 @@
              qnk(i)*(lv0-clmcpv*(tnk(i)-273.15)) + gznk(i)
   END DO
-!
+
 !  Ice fraction
-!
+
   IF (cvflag_ice) THEN
     DO k = minorig, nl
@@ -1686,17 +1686,16 @@
   END DO
 !>jyg
-!
 
 ! ***  Find lifted parcel quantities above cloud base    ***
 
 !----------------------------------------------------------------------------
-!
+
   IF (icvflag_Tpa == 2) THEN
 #ifdef ISO
         CALL abort_gcm('cv3_routines 1813','isos pas prevus ici',1)
 #endif
-!
+
 !----------------------------------------------------------------------------
-!
+
     DO k = minorig + 1, nl
       DO i = 1,ncum
@@ -1774,5 +1773,5 @@
                   Ux*  (ah0(i) - ahg - ddelta)           /aa
             ENDIF ! (tg .gt. Tx)
-!
+
 !!     print *,' j, k, Um, U, Ux, aa, bb, discr, dd, ddelta ', j, k, Um, U, Ux, aa, bb, discr, dd, ddelta
 !!     print *,' j, k, ah0(i), ahg, tg, qg, tp(i,k), ff ', j, k, ah0(i), ahg, tg, qg, tp(i,k), ff
@@ -1802,9 +1801,9 @@
     END DO ! k = minorig + 1, nl
 !----------------------------------------------------------------------------
-!
+
   ELSE IF (icvflag_Tpa == 1) THEN  ! (icvflag_Tpa == 2)
-!
+
 !----------------------------------------------------------------------------
-!
+
 #ifdef ISO
         CALL abort_gcm('cv3_routines 1813','isos pas prevus ici',1)
@@ -1872,5 +1871,5 @@
         END IF ! (k>=(icbs(i)+1))
       END DO ! i = 1, ncum
-!
+
       IF (cvflag_prec_eject) THEN
 #ifdef ISO
@@ -1898,5 +1897,5 @@
 !   ejection.
 !  =====================================================================================
-!  
+
 !   Verif
             qpreca(i,k) = ejectliq*qpl(i,k) + ejectice*qps(i,k)                                   !!jygprl
@@ -1904,7 +1903,7 @@
             frac_s(i,k) = (1.-ejectliq)*frac(i,k) + &                                             !!jygprl
                ejectliq*(1. - (qpl(i,k)+(1.-frac(i,k))*qcld(i,k))/max(clw(i,k),smallestreal))     !!jygprl
-!          
+
             denomm1 = 1./(1. - qpreca(i,k))
-!          
+
             qta(i,k) = qta(i,k-1) - &
                       qpreca(i,k)*(1.-qta(i,k-1))*denomm1
@@ -1925,13 +1924,13 @@
         END DO ! i = 1, ncum
       ENDIF  ! (cvflag_prec_eject)
-! 
+
     END DO ! k = minorig + 1, nl
-!
+
 !----------------------------------------------------------------------------
-!
+
   ELSE IF (icvflag_Tpa == 0) THEN! (icvflag_Tpa == 2) ELSE IF(icvflag_Tpa == 1)
-!
+
 !----------------------------------------------------------------------------
-!
+
   DO k = minorig + 1, nl
     DO i = 1, ncum
@@ -2160,5 +2159,5 @@
 
 !----------------------------------------------------------------------------
-!
+
   ENDIF ! (icvflag_Tpa == 2) ELSEIF (icvflag_Tpa == 1) ELSE (icvflag_Tpa == 0)
 #ifdef ISOVERIF
@@ -2170,12 +2169,12 @@
   enddo
 #endif
-!
+
 !----------------------------------------------------------------------------
-!
+
 ! =====================================================================
 ! --- SET THE PRECIPITATION EFFICIENCIES 
 ! --- THESE MAY BE FUNCTIONS OF TP(I), P(I) AND CLW(I)
 ! =====================================================================
-!
+
   IF (flag_epkeorig/=1) THEN
     DO k = 1, nl ! convect3
@@ -2213,5 +2212,5 @@
     END DO
   END IF
-!
+
 !   =========================================================================
   IF (prt_level >= 10) THEN
@@ -2219,5 +2218,5 @@
                           (k, tp(1,k), tvp(1,k), k = 1,nl)
   ENDIF
-!
+
 ! =====================================================================
 ! --- CALCULATE VIRTUAL TEMPERATURE AND LIFTED PARCEL
@@ -2451,7 +2450,7 @@
 
 !jyg : cvflag_ice test outside the loops (07042015)
-!
+
   IF (cvflag_ice) THEN
-!
+
   IF (cvflag_prec_eject) THEN
 !!    DO k = minorig + 1, nl
@@ -2485,7 +2484,7 @@
       END DO
     END DO
-!
+
   ELSE   ! (cvflag_ice)
-!
+
     DO k = minorig + 1, nl
       DO i = 1, ncum
@@ -2501,5 +2500,5 @@
       END DO
     END DO
-!
+
   END IF  ! (cvflag_ice)
 
@@ -2514,5 +2513,5 @@
 ! ===================================================================
 ! ---  CLOSURE OF CONVECT3
-!
+
 ! vectorization: S. Bony
 ! ===================================================================
@@ -3820,7 +3819,6 @@
   END DO
 
-!
 ! Get adiabatic ascent mass flux 
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   IF (adiab_ascent_mass_flux_depends_on_ejectliq) THEN
@@ -3857,7 +3855,7 @@
 
 ! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!
+
 ! ***                    begin downdraft loop                    ***
-!
+
 ! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
@@ -3878,6 +3876,6 @@
 ! ***  integrate liquid water equation to find condensed water   ***
 ! ***                and condensed water flux                    ***
-!
-!
+
+
 ! ***              calculate detrained precipitation             ***
 
@@ -4088,10 +4086,9 @@
         bfac = 1./(sigd(il)*wt(il,i))
 
-!
     IF (prt_level >= 20) THEN
       Print*, 'cv3_unsat after provisional rp estimate: rp, afac, bfac ', &
           i, rp(1, i), afac,bfac
     ENDIF
-!
+
 !JYG1
 ! cc        sigt=1.0
@@ -4171,10 +4168,9 @@
           evap(il, i) = (wdtrain(il)+sigd(il)*wt(il,i)*(prec(il,i+1)-prec(il,i))) / &
                         (sigd(il)*(ph(il,i)-ph(il,i+1))*100.)
-!
+
     IF (prt_level >= 20) THEN
       Print*, 'cv3_unsat after evap computation: wdtrain, sigd, wt, prec(i+1),prec(i) ', &
           i, wdtrain(1), sigd(1), wt(1,i), prec(1,i+1),prec(1,i)
     ENDIF
-!
 
 !jyg<
@@ -4403,10 +4399,9 @@
     END DO
 ! ----------------------------------------------------------------
-!
+
     IF (prt_level >= 20) THEN
       Print*, 'cv3_unsat after mp computation: mp, b(i), b(i-1) ', &
           i, mp(1, i), b(1,i), b(1,max(i-1,1))
     ENDIF
-!
 
 ! ***       find mixing ratio of precipitating downdraft     ***
@@ -4766,5 +4761,5 @@
       REAL, DIMENSION (ntraciso,nloc, na), INTENT (IN)            :: xtice
 #endif
-!
+
 !input/output:
       REAL, DIMENSION (nloc, na), INTENT (INOUT)         :: m, mp
@@ -4773,5 +4768,5 @@
       REAL, DIMENSION (nloc, nd), INTENT (INOUT)         :: sig
       REAL, DIMENSION (nloc), INTENT (INOUT)             :: sigd
-!
+
 !outputs:
       REAL, DIMENSION (nloc), INTENT (OUT)               :: precip
@@ -4794,5 +4789,5 @@
       real, DIMENSION (ntraciso,nloc, nd+1), INTENT (OUT) :: xtVprecip, xtVprecipi
 #endif
-!
+
 !local variables:
       INTEGER                                            :: i, k, il, n, j, num1
@@ -4863,5 +4858,5 @@
 #endif
 #endif
-! 
+
 ! -------------------------------------------------------------
 
@@ -5134,5 +5129,5 @@
   ENDIF ! (adiab_ascent_mass_flux_depends_on_ejectliq) ELSE
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!
+
 !    print*,'cv3_yield avant ft'
 ! am is the part of cbmf taken from the first level
@@ -5408,17 +5403,16 @@
            IF (ok_optim_yield) THEN                       !|
 !-----------------------------------------------------------
-!
+
 !***                                                      ***
 !***    Compute convective mass fluxes upwd and dnwd      ***
 
-!
 ! =================================================
 !              upward fluxes                      |
 ! ------------------------------------------------
-!
+
 upwd(:,:) = 0.
 up_to(:,:) = 0.
 up_from(:,:) = 0.
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   IF (adiab_ascent_mass_flux_depends_on_ejectliq) THEN
@@ -5428,5 +5422,5 @@
 !! WARNING : in the present version, taking into account the mass-flux decrease due to 
 !! precipitation ejection leads to water conservation violation.
-!
+
 ! - Upward mass flux of mixed draughts
 !---------------------------------------
@@ -5440,5 +5434,5 @@
   ENDDO
 ENDDO
-!
+
 DO j = 3, nl
   DO i = 2, j-1
@@ -5450,9 +5444,9 @@
   ENDDO
 ENDDO
-!
+
 ! The difference between upwd(il,i) and upwd(il,i-1) is due to updrafts ending in layer 
 !(i-1) (theses drafts cross interface (i-1) but not interface(i)) and to updrafts starting 
 !from layer (i-1) (theses drafts cross interface (i) but not interface(i-1)): 
-! 
+
 DO i = 2, nlp
   DO il = 1, ncum
@@ -5462,5 +5456,5 @@
   ENDDO
 ENDDO
-!
+
 ! - Total upward mass flux
 !---------------------------
@@ -5477,5 +5471,5 @@
 !! The decrease of the adiabatic ascent mass flux due to ejection of precipitation 
 !! is not taken into account. 
-!
+
 ! - Upward mass flux
 !-------------------
@@ -5494,5 +5488,5 @@
   ENDDO
 ENDDO
-!
+
 DO i = 1, nl
   DO il = 1, ncum
@@ -5502,5 +5496,5 @@
   ENDDO
 ENDDO
-!
+
 DO j = 3, nl
   DO i = 2, j-1
@@ -5512,9 +5506,9 @@
   ENDDO
 ENDDO
-!
+
 ! The difference between upwd(il,i) and upwd(il,i-1) is due to updrafts ending in layer 
 !(i-1) (theses drafts cross interface (i-1) but not interface(i)) and to updrafts starting 
 !from layer (i-1) (theses drafts cross interface (i) but not interface(i-1)): 
-! 
+
 DO i = 2, nlp
   DO il = 1, ncum
@@ -5529,5 +5523,4 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-!
 ! =================================================
 !              downward fluxes                    |
@@ -5546,5 +5539,5 @@
   ENDDO
 ENDDO
-!
+
 DO j = 1, nl
   DO i = j+1, nl
@@ -5557,9 +5550,9 @@
   ENDDO
 ENDDO
-!
+
 ! The difference between dnwd(il,i) and dnwd(il,i+1) is due to downdrafts ending in layer 
 !(i) (theses drafts cross interface (i+1) but not interface(i)) and to downdrafts 
 !starting from layer (i) (theses drafts cross interface (i) but not interface(i+1)): 
-!
+
 DO i = nl-1, 1, -1
   DO il = 1, ncum
@@ -5569,5 +5562,5 @@
 ENDDO
 ! =================================================
-!
+
 !-----------------------------------------------------------
         ENDIF !(ok_optim_yield)                           !|
@@ -5593,5 +5586,4 @@
     IF (num1<=0) GO TO 500
 
-!
 !jyg<
 !-----------------------------------------------------------
@@ -5651,9 +5643,9 @@
       END DO
     END DO
-!
+
 !-----------------------------------------------------------
         ENDIF !(ok_optim_yield)                           !|
 !-----------------------------------------------------------
-!
+
 !!   print *,'yield, i, amp1, ad', i, amp1(1), ad(1)
 
@@ -5712,5 +5704,5 @@
                                     t(il,i)*(cpv-cpd)*(rr(il,i)-qent(il,i,i)))*cpinv
         END IF
-!
+
 ! sb: on ne fait pas encore la correction permettant de mieux
 ! conserver l'eau:
@@ -5848,5 +5840,5 @@
         ! ajout du terme des ddfts sensi stricto
 !        write(*,*) 'tmp cv3_yield 4165: i,il=',i,il
-!
+
         if (option_traceurs.eq.6) then
           do iiso = 1, niso
@@ -6153,5 +6145,5 @@
             ft(il, i) = ft(il, i) + 0.01*grav*dpinv*ment(il, k, i) * &
                  (hent(il,k,i)-h(il,i)+t(il,i)*(cpv-cpd)*(rr(il,i)+awat(il)-qent(il,k,i)))*cpinv
-!
+
 #ifdef ISO
         ! on change le traitement de cette ligne le 8 mai 2009:
@@ -6192,5 +6184,5 @@
        ! end cam verif 
 #endif
-!
+
           END IF ! i
         END DO
@@ -6814,10 +6806,9 @@
     END IF
   END DO
-!
+
     IF (prt_level >= 5) THEN
       print *,' CV3_YIELD : alpha_qpos ',alpha_qpos(1)
     ENDIF
 
-!
   DO il = 1, ncum
     IF (iflag(il)<=1) THEN
@@ -7303,5 +7294,5 @@
   REAL, DIMENSION (len, na, na), INTENT (OUT)        :: phi, phi2, epmlmMm
   REAL, DIMENSION (len, na), INTENT (OUT)            :: da, d1a, dam, eplaMm
-!
+
 ! variables pour tracer dans precip de l'AA et des mel
 !local variables:
@@ -7600,5 +7591,5 @@
 !AC! 2110    continue
 !AC! 2100   continue
-!
+
   RETURN
 END SUBROUTINE cv3_uncompress
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90	(revision 5099)
@@ -78,8 +78,8 @@
   REAL, DIMENSION (ntraciso,len,nd), INTENT (IN)     :: xt1_wake
 #endif
-!
+
   ! in/out 
   INTEGER, INTENT (INOUT)                            :: ncum
-!
+
   ! outputs:
   ! en fait, on a nloc=len pour l'instant (cf cv_driver)
@@ -175,5 +175,5 @@
     END DO
   END DO
-!
+
   ! AC!      do 121 j=1,ntra
   ! AC!ccccc      do 111 k=1,nl+1
@@ -230,10 +230,10 @@
     CALL abort_physic(modname, abort_message, 1)
   END IF
-!
+
 !jyg<
   ELSE  !(compress)
-!
+
       ncum = len
-!
+
       wghti(:,1:nl+1) = wghti1(:,1:nl+1)
       t(:,1:nl+1) = t1(:,1:nl+1)
@@ -271,5 +271,5 @@
       xt_wake(:,:,1:nl+1) = xt1_wake(:,:,1:nl+1)
 #endif
-!
+
       s_wake(:) = s1_wake(:)
       iflag(:) = iflag1(:)
@@ -293,5 +293,5 @@
       xtnk(:,:) = xtnk1(:,:)
 #endif
-!
+
   ENDIF !(compress)
 !>jyg
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90	(revision 5099)
@@ -390,8 +390,8 @@
     ! 2210     enddo
     ! 2220    enddo
-!
+
 !jyg<
   ELSE  !(compress)
-!
+
       sig1(:,nd) = sig(:,nd)
       ptop21(:) = ptop2(:)
@@ -415,5 +415,5 @@
           xtprecip1(:,:)=xtprecip(:,:)
 #endif
-!
+
       sig1(:, 1:nl) = sig(:, 1:nl)
       w01(:, 1:nl) = w0(:, 1:nl)
@@ -451,5 +451,5 @@
       sigt1(:, 1:nl) = sigt(:, 1:nl)
       detrain1(:, 1:nl) = detrain(:, 1:nl)
-!
+
       ma1(:, nlp) = 0.
       vprecip1(:, nlp) = 0.
@@ -459,5 +459,4 @@
       dnwd01(:, nlp) = 0.
 
-!
       phi1    (:, 1:nl, 1:nl) = phi    (:, 1:nl, 1:nl)  !AC!
       phi21   (:, 1:nl, 1:nl) = phi2   (:, 1:nl, 1:nl)  !RomP
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5099)
@@ -154,5 +154,5 @@
             fmax, gammas, qqa1, qqa2, Qcoef1max, Qcoef2max
 !>jyg
-!
+
   END IF
 
@@ -813,12 +813,12 @@
 !                             (1.+lv(il,j)*lv(il,j)*rs(il,j) / &
 !                              ((cpd*(1.-Qent(il,i,j))+Qent(il,i,j)*cpv)*rrv*t(il,j)*t(il,j)))
-!
+
 !       Computation of condensate amount Elij, taking into account the ice fraction frac
 !       Warning : the same saturation humidity rs is used over both liquid water and ice; this
 !                 should be corrected.
-!
+
 !  Heat capacity of mixed draught
     cpm = cpd+Qent(il,i,j)*(cpv-cpd)
-!
+
     IF (cvflag_ice .and. frac(il,j) > 0.) THEN
             elij(il, i, j) = Qent(il, i, j) - rs(il, j)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5099)
@@ -1243,5 +1243,5 @@
   cvflag_grav = .TRUE.
   cvflag_ice = iflag_ice_thermo >= 1
-  !
+
 ! si icvflag_Tpa=0, alors la fraction de glace dans l'ascendance adiabatique est
   ! fonction de la temperature de l'environnement et la temperature de l'ascendance est 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5099)
@@ -431,5 +431,4 @@
 !        14     No moist convection; atmosphere is very
 !               stable (=> no computation)
-!
 
 ! ft:   Array of temperature tendency (K/s) of dimension ND, defined at same
@@ -1066,7 +1065,7 @@
 !   If the fraction of convective points is larger than comp_threshold, then compression
 !   is assumed useless.
-!
+
   compress = ncum < len*comp_threshold
-!
+
   IF (.not. compress) THEN
     DO i = 1,len
@@ -1074,5 +1073,5 @@
     ENDDO
   ENDIF
-!
+
 #ifdef ISO
 #ifdef ISOVERIF
@@ -1480,5 +1479,5 @@
 #endif
                      )
-!
+
       IF (prt_level >= 10) THEN
         Print *, 'cva_driver after cv3_unsat:mp , water, ice, evap, fondue '
@@ -1494,5 +1493,5 @@
         ENDDO
       ENDIF
-!
+
     END IF  !(iflag_con==3)
 
@@ -1594,7 +1593,6 @@
 #endif
             )
-!
+
 !         Test conseravtion de l'eau
-!
 
 #ifdef ISOVERIF
@@ -1628,5 +1626,5 @@
         PRINT *, ' cv3_yield -> fqd(1) = ', fqd(igout, 1)
       END IF !(debut) THEN
-!   
+
       IF (prt_level >= 10) THEN
         Print *, 'cva_driver after cv3_yield:ft(1) , ftd(1) ', &
@@ -1635,5 +1633,5 @@
                     fq(igout,1), fqd(igout,1)
       ENDIF
-!   
+
     END IF
 
@@ -1747,5 +1745,4 @@
 #endif 
 
-!   
       IF (prt_level >= 10) THEN
         Print *, 'cva_driver after cv3_uncompress:ft1(1) , ftd1(1) ', &
@@ -1754,5 +1751,5 @@
                     fq1(igout,1), fqd1(igout,1)
       ENDIF
-!   
+
     END IF
 
@@ -1772,6 +1769,6 @@
 
   END IF ! ncum>0
-!
-!
+
+
   DO i = 1,len
     IF (iflag1(i) == 14) THEN
@@ -1781,5 +1778,4 @@
   ENDDO
 
-!
 ! In order take into account the possibility of changing the compression,
 ! reset m, sig and w0 to zero for non-convective points.
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5099)
@@ -2163,5 +2163,5 @@
 #endif
           ! end verif
-          !
+
      else !if (t1lay(i).ge.0.0) then   
           do ixt=1,niso
@@ -16617,7 +16617,7 @@
 !#ifdef ISOHTO
 !===================================================================
-!
+
 !   subroutines utilisees par iso_tritium: ecrites par Alexandre Cauquoin
-!
+
 !===================================================================
 
@@ -17932,7 +17932,7 @@
 
 !===================================================================
-!
+
 !   End subroutine iso_tritium
-!
+
 !===================================================================
 
@@ -17940,8 +17940,8 @@
 
 !===================================================================
-!
+
 ! Subroutine chargement des tableaux de donnees pour production 
 ! nucleaire de tritium --> call dans iso_init.F
-!
+
 !===================================================================
 
@@ -18047,7 +18047,7 @@
 
 !===================================================================
-!
+
 ! Subroutines production nucleaire utilisees par iso_tritium
-!
+
 !===================================================================
 
@@ -18501,7 +18501,7 @@
 !#endif
 !===================================================================
-!
+
 !   End subroutines utilisees par iso_tritium
-!
+
 !===================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_mod.F90	(revision 5099)
@@ -11,5 +11,5 @@
 
 !=== CONTENT: ALL THE ISOTOPIC TRACERS RELATED VARIABLES ===
-!
+
 ! option 1: on trace evap ocean et continent separement  
 ! option 2: on trace evap ocean, continent et evap precip
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5099)
@@ -1,9 +1,9 @@
-!
+
 ! $Id: limit_read_mod.F90 3435 2019-01-22 15:21:59Z fairhead $
-!
+
 MODULE limit_read_mod
-!
+
 ! This module reads the fichier "limit.nc" containing fields for surface forcing.
-!
+
 ! Module subroutines :
 !  limit_read_frac    : call limit_read_tot and return the fractions
@@ -11,5 +11,5 @@
 !  limit_read_sst     : return sea ice temperature   
 !  limit_read_tot     : read limit.nc and store the fields in local modules variables
-!
+
   IMPLICIT NONE
 
@@ -54,5 +54,5 @@
   
   SUBROUTINE limit_read_frac(itime, dtime, jour, pctsrf_new, is_modified)
-!
+
 ! This subroutine is called from "change_srf_frac" for case of 
 ! ocean=force or from ocean_slab_frac for ocean=slab.
@@ -89,9 +89,9 @@
        knon, knindex, &
        rugos_out, alb_out)
-!
+
 ! This subroutine is called from surf_land_bucket. 
 ! The flag "ok_veget" must can not be true. If coupled run, "ocean=couple"
 ! then this routine will call limit_read_tot.
-!
+
     USE dimphy
     USE surface_data
@@ -139,7 +139,7 @@
 #endif           
     )
-!
+
 ! This subroutine returns the sea surface temperature already read from limit.nc.
-!
+
     USE dimphy, ONLY : klon
 #ifdef ISO
@@ -260,7 +260,7 @@
 
   SUBROUTINE limit_read_tot(itime, dtime, jour, is_modified)
-!
+
 ! Read everything needed from limit.nc
-!
+
 ! 0) Initialize
 ! 1) Open the file limit.nc, if it is time
@@ -332,5 +332,5 @@
 !****************************************************************************************
 ! 0) Initialization
-!
+
 !****************************************************************************************
     IF (first_call) THEN
@@ -353,5 +353,5 @@
        IF (is_mpi_root) THEN ! Only master processus
           ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,&
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
 
@@ -359,5 +359,5 @@
           ierr=NF90_INQ_VARID(nid, 'TEMPS', nvarid)
           ierr=NF90_GET_ATT(nid, nvarid, 'calendar', calendar)
-          IF(ierr==NF90_NOERR.AND.calendar/=calend.AND.prt_level>=1) THEN
+          IF(ierr==nf90_noerr.AND.calendar/=calend.AND.prt_level>=1) THEN
              WRITE(lunout,*)'BEWARE: gcm and limit.nc calendars differ: '
              WRITE(lunout,*)'  '//TRIM(calend)//' for gcm'
@@ -371,5 +371,5 @@
             ierr=NF90_INQUIRE(nid, UnlimitedDimID=ndimid)
           ENDIF
-          ierr=NF90_INQUIRE_DIMENSION(nid, ndimid, len=nn)
+          ierr=nf90_inquire_dimension(nid, ndimid, len=nn)
           WRITE(abort_message,'(a,2(i0,a))')'limit.nc records number (',nn,') does no'//&
             't match year length (',year_len,')'
@@ -382,5 +382,5 @@
             ierr=nf90_inq_dimid(nid, 'points_physiques', ndimid)
           ENDIF
-          ierr=NF90_INQUIRE_DIMENSION(nid, ndimid, len=nn)
+          ierr=nf90_inquire_dimension(nid, ndimid, len=nn)
           WRITE(abort_message,'(a,2(i0,a))')'limit.nc horizontal number of cells (',nn, &
             ') does not match LMDZ klon_glo (',klon_glo,')'
@@ -388,5 +388,5 @@
 
           ierr = NF90_CLOSE(nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Pb when closing file', 1)
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        END IF ! is_mpi_root
 !$OMP END MASTER
@@ -398,5 +398,5 @@
 !    The file is read only by the master thread of the master mpi process(is_mpi_root)
 !    Check by the way if the number of records is correct.
-!
+
 !****************************************************************************************
 
@@ -451,5 +451,5 @@
 
           ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,&
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
 
@@ -463,40 +463,40 @@
 !****************************************************************************************
 ! 2) Read fraction if not type_ocean=couple
-!
+
 !****************************************************************************************
 
           IF ( type_ocean /= 'couple') THEN
-!
+
 ! Ocean fraction
              ierr = NF90_INQ_VARID(nid, 'FOCE', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname, 'Le champ <FOCE> est absent',1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname, 'Le champ <FOCE> est absent',1)
              
-             ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_oce),start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FOCE>' ,1)
-!
+             ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_oce),start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FOCE>' ,1)
+
 ! Sea-ice fraction
              ierr = NF90_INQ_VARID(nid, 'FSIC', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FSIC> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_sic),start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FSIC>' ,1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FSIC> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_sic),start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FSIC>' ,1)
 
 
 ! Read land and continentals fraction only if asked for
              IF (read_continents .OR. itime == 1) THEN
-!
+
 ! Land fraction
                 ierr = NF90_INQ_VARID(nid, 'FTER', nvarid)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FTER> est absent',1)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FTER> est absent',1)
                 
-                ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_ter),start,epais)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FTER>',1)
-!
+                ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_ter),start,epais)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FTER>',1)
+
 ! Continentale ice fraction
                 ierr = NF90_INQ_VARID(nid, 'FLIC', nvarid)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FLIC> est absent',1)
-
-                ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_lic),start,epais)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FLIC>',1)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FLIC> est absent',1)
+
+                ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_lic),start,epais)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FLIC>',1)
              END IF
 
@@ -505,21 +505,21 @@
 !****************************************************************************************
 ! 3) Read sea-surface temperature, if not coupled ocean
-!
+
 !****************************************************************************************
           IF ( type_ocean /= 'couple') THEN
 
              ierr = NF90_INQ_VARID(nid, 'SST', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <SST> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,sst_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <SST>',1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <SST> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,sst_glo,start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <SST>',1)
           
 #ifdef ISO
              IF ((iso_HTO.gt.0).and.(ok_prod_nucl_tritium)) THEN
                ierr = NF90_INQ_VARID(nid, 'TUOCE', nvarid)
-               IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Le champ <TUOCE> est absent',1)
-
-               ierr = NF90_GET_VAR(nid,nvarid,tuoce_glo,start,epais)
-               IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <TUOCE>',1)
+               IF (ierr /= nf90_noerr) CALL abort_gcm(modname,'Le champ <TUOCE> est absent',1)
+
+               ierr = nf90_get_var(nid,nvarid,tuoce_glo,start,epais)
+               IF (ierr /= nf90_noerr) CALL abort_gcm(modname,'Lecture echouee pour <TUOCE>',1)
              END IF
 #ifdef ISOVERIF
@@ -539,22 +539,22 @@
 !****************************************************************************************
 ! 4) Read albedo and rugosity for land surface, only in case of no vegetation model
-!
+
 !****************************************************************************************
 
           IF (.NOT. ok_veget) THEN
-!
+
 ! Read albedo
              ierr = NF90_INQ_VARID(nid, 'ALB', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <ALB> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,alb_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <ALB>',1)
-!
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <ALB> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,alb_glo,start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <ALB>',1)
+
 ! Read rugosity
              ierr = NF90_INQ_VARID(nid, 'RUG', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <RUG> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,rug_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <RUG>',1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <RUG> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,rug_glo,start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <RUG>',1)
 
           END IF
@@ -562,8 +562,8 @@
 !****************************************************************************************
 ! 5) Close file and distribuate variables to all processus
-!
+
 !****************************************************************************************
           ierr = NF90_CLOSE(nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Pb when closing file', 1)
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        ENDIF ! is_mpi_root
 
